package com.yideb.audit.entity.audit;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
    * yideb-audit-statistic，业务配置表
    * </p>
 *
 * @author lijing
 * @since 2020-08-10
 */
@Data
@TableName("c_statistic_config")
public class StatisticConfig extends Model<StatisticConfig> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 业务类型Code
     */
    private Integer businessType;

    /**
     * 业务数据配置
     */
    private Integer value;

    /**
     * 是否生效
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
