package com.yideb.audit.service.hub.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.dao.hub.BasicStatisticMapper;
import com.yideb.audit.entity.hub.BasicStatistic;
import com.yideb.audit.service.hub.IBasicStatisticService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/10 18:39 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@DS("postgresql")
@Service
public class BasicStatisticServiceImpl extends ServiceImpl<BasicStatisticMapper, BasicStatistic> implements IBasicStatisticService {
	@Override
	public Boolean flushDb(BasicStatistic dataVo) {
		List<BasicStatistic> list = baseMapper.selectList(new QueryWrapper<>());
		if (CollectionUtil.isNotEmpty(list)) {
			remove(new QueryWrapper<>());
		}

		return save(dataVo);
	}
}
