package com.yideb.audit.service.audit.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.dao.audit.ScheduleTaskMapper;
import com.yideb.audit.entity.audit.ScheduleTask;
import com.yideb.audit.service.audit.IScheduleTaskService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
    *  服务实现类
    * </p>
 *
 * @author zhursh
 * @since 2020-08-05
 */
@DS("mysql")
@Service
public class ScheduleTaskServiceImpl extends ServiceImpl<ScheduleTaskMapper, ScheduleTask> implements IScheduleTaskService {

	@Resource
	private ScheduleTaskMapper taskMapper;

	@Override
	public List<ScheduleTask> findAll() {
		QueryWrapper<ScheduleTask> wrapper = new QueryWrapper<>();
		return taskMapper.selectList(wrapper);
	}
}
